in scala.collection.mutable
class ListBuffer

final `class` ListBuffer [ A ]
  `extends` java.lang.Object
  `with` scala.collection.mutable.Buffer[A]
  `with` scala.ScalaObject

Constructor Summary
| `def` this

Def Summary
| `def` +: ( x : A ) : scala.collection.mutable.Buffer[A] Prepend a single element to this buffer.
`override` | `def` += ( x : A ) : scala.Unit Append a single element to this buffer.
| `def` - ( x : A ) : scala.collection.mutable.Buffer[A] Remove a single element from the buffer and return the identity of the buffer. Same as ``this -= x; this''
| `def` -= ( x : A ) : scala.Unit Remove a single element from this buffer.
| `def` apply ( n : scala.Int ) : A Returns the `n`th element of this list. This method yields an error if the element does not exist.
| `def` clear : scala.Unit Clears the buffer contents.
`override` | `def` clone : scala.collection.mutable.Buffer[A] Return a clone of this buffer.
`override` | `def` elements : java.lang.Object with scala.Iterator[A] Returns an iterator over all elements of this list. Note: the iterator can be affected by insertions, updates and deletions that are performed afterwards on the buffer. To get iterator an over the current buffer snapshot, use toList.elements
`override` | `def` equals ( obj : scala.Any ) : scala.Boolean Checks if two buffers are structurally identical.
| `def` insertAll ( n : scala.Int , iter : scala.Iterable[A] ) : scala.Unit Inserts new elements at the index `n`. Opposed to method `update`, this method will not replace an element with a new one. Instead, it will insert a new element at index `n`.
| `def` length : scala.Int Returns the length of this buffer.
| `def` prependToList ( xs : scala.List[A] ) : scala.List[A] Prepends the elements of this buffer to a given list
| `def` remove ( n : scala.Int ) : A Removes the element on a given index position.
`override` `protected` | `def` stringPrefix : java.lang.String Defines the prefix of the string representation.
`override` | `def` toList : scala.List[A] Converts this buffer to a list
| `def` update ( n : scala.Int , x : A ) : scala.Unit Replace element at index `n` with the new element `newelem`.

Constructor Detail

`def` this

Def Detail

`def` +: ( x : A ) : scala.collection.mutable.Buffer[A]

  Prepend a single element to this buffer.

param:
  x the element to prepend.

override `def` += ( x : A ) : scala.Unit

  Append a single element to this buffer.

param:
  x the element to append.

`def` - ( x : A ) : scala.collection.mutable.Buffer[A]

  Remove a single element from the buffer and return the identity of the buffer. Same as ``this -= x; this''

param:
  x the element to remove.

`def` -= ( x : A ) : scala.Unit

  Remove a single element from this buffer.

param:
  x the element to remove.

`def` apply ( n : scala.Int ) : A

  Returns the `n`th element of this list. This method yields an error if the element does not exist.

`def` clear : scala.Unit

  Clears the buffer contents.

override `def` clone : scala.collection.mutable.Buffer[A]

  Return a clone of this buffer.

return:
  a `ListBuffer` with the same elements.

override `def` elements : java.lang.Object with scala.Iterator[A]

  Returns an iterator over all elements of this list. Note: the iterator can be affected by insertions, updates and deletions that are performed afterwards on the buffer. To get iterator an over the current buffer snapshot, use toList.elements

override `def` equals ( obj : scala.Any ) : scala.Boolean

  Checks if two buffers are structurally identical.

return:
  true, iff both buffers contain the same sequence of elements.

`def` insertAll ( n : scala.Int , iter : scala.Iterable[A] ) : scala.Unit

  Inserts new elements at the index `n`. Opposed to method `update`, this method will not replace an element with a new one. Instead, it will insert a new element at index `n`.

param:
  n the index where a new element will be inserted.
param:
  iter the iterable object providing all elements to insert.

`def` length : scala.Int

  Returns the length of this buffer.

`def` prependToList ( xs : scala.List[A] ) : scala.List[A]

  Prepends the elements of this buffer to a given list

param:
  xs the list to which elements are prepended

`def` remove ( n : scala.Int ) : A

  Removes the element on a given index position.

param:
  n the index which refers to the element to delete.
return:
  n the element that was formerly at posiition `n'
pre:
  an element exists at position `n'

override protected `def` stringPrefix : java.lang.String

  Defines the prefix of the string representation.

override `def` toList : scala.List[A]

  Converts this buffer to a list

`def` update ( n : scala.Int , x : A ) : scala.Unit

  Replace element at index `n` with the new element `newelem`.

param:
  n the index of the element to replace.
param:
  x the new element.